Bug 1108750 - (CVE-2018-11780) VUL-0: CVE-2018-11780: spamassassin: Potential remote code execution vulnerability in PDFInfo plugin
(CVE-2018-11780)
VUL-0: CVE-2018-11780: spamassassin: Potential remote code execution vulnerab...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Peter Varkoly
Security Team bot
https://smash.suse.de/issue/214894/
CVSSv3:SUSE:CVE-2018-11780:8.1:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-18 07:08 UTC by Karol Babioch
Modified: 2022-05-16 06:32 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-09-18 07:08:28 UTC
rh#1629532

A potential Remote Code Execution bug exists with the PDFInfo plugin in Apache
SpamAssassin before 3.4.2.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1629532
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-11780
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-11780.html
Comment 2 Swamp Workflow Management 2019-07-24 16:13:23 UTC
SUSE-SU-2019:1961-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1108745,1108748,1108750
CVE References: CVE-2016-1238,CVE-2017-15705,CVE-2018-11780,CVE-2018-11781
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    spamassassin-3.4.2-44.3.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    spamassassin-3.4.2-44.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 3 Swamp Workflow Management 2019-07-29 16:14:22 UTC
SUSE-SU-2019:2011-1: An update that solves four vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1069831,1107765,1108745,1108748,1108749,1108750,1115411
CVE References: CVE-2016-1238,CVE-2017-15705,CVE-2018-11780,CVE-2018-11781
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    spamassassin-3.4.2-7.4.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    spamassassin-3.4.2-7.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2019-08-06 19:15:12 UTC
openSUSE-SU-2019:1831-1: An update that solves four vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1069831,1107765,1108745,1108748,1108749,1108750,1115411
CVE References: CVE-2016-1238,CVE-2017-15705,CVE-2018-11780,CVE-2018-11781
Sources used:
openSUSE Leap 15.0 (src):    spamassassin-3.4.2-lp150.6.3.1
Comment 5 Peter Varkoly 2020-01-30 13:00:30 UTC
fixed
Comment 6 Thomas Leroy 2022-05-13 13:27:47 UTC
@Peter, could you please submit to SUSE:SLE-11-SP1:Update? :)
Comment 7 Peter Varkoly 2022-05-16 06:23:54 UTC
(In reply to Thomas Leroy from comment #6)
> @Peter, could you please submit to SUSE:SLE-11-SP1:Update? :)

Not neccessary. Version 3.3.1 does not contains the plugin PDFInfo.pm
Comment 8 Thomas Leroy 2022-05-16 06:32:58 UTC
(In reply to Peter Varkoly from comment #7)
> (In reply to Thomas Leroy from comment #6)
> > @Peter, could you please submit to SUSE:SLE-11-SP1:Update? :)
> 
> Not neccessary. Version 3.3.1 does not contains the plugin PDFInfo.pm

Great, thanks Peter!